--- old/usr/src/uts/common/os/pid.c	2014-01-14 16:17:26.091215304 +0000
+++ new/usr/src/uts/common/os/pid.c	2014-01-14 16:17:26.104990877 +0000
@@ -112,6 +112,18 @@
 	return (pidp);
 }
 
+struct pid *
+pid_find(pid_t pid)
+{
+	struct pid *pidp;
+
+	mutex_enter(&pidlinklock);
+	pidp = pid_lookup(pid);
+	mutex_exit(&pidlinklock);
+
+	return (pidp);
+}
+
 void
 pid_setmin(void)
 {
